#!/bin/bash

if [ "$1" == "-u" ]; then
	unset QPEDIR QTDIR TMAKEPATH LD_LIBRARY_PATH
	. /etc/profile.d/qt.sh
	export PATH="/bin:/usr/bin:/usr/X11R6/bin:/usr/local/bin:/usr/sbin:/sbin:/home/nick/bin:/opt/Embedix/tools/bin"
	exit
fi

QPEDIR=/opt/Qtopia/sharp
QTDIR=$QPEDIR
PATH=$QTDIR/bin:/opt/Embedix/tools/bin:$PATH
TMAKEPATH=/opt/Qtopia/tmake/lib/qws/linux-generic-g++
LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH

export QPEDIR QTDIR PATH TMAKEPATH LD_LIBRARY_PATH

ln -sf Makefile.arm Makefile

echo "Qtopia SA1100 (Sharp Zaurus ARM Arch) Development Enviroment Set..."
